package com.confidosoft.health_kit

import com.google.android.gms.fitness.FitnessActivities
import com.google.android.gms.fitness.FitnessOptions
import com.google.android.gms.fitness.data.DataType
import com.google.android.gms.fitness.data.Session

// Created by Rashmi Tank on 2021-04-27.

/**
 * extension function which converts String to Type
 *
 * @return returns Type which is nullable
 */
fun String.fromDartType(): Type? {
    return when (this) {
        "step_count" -> Type.Sample(DataType.TYPE_STEP_COUNT_DELTA)
        else -> null
    }
}

fun FitnessOptions.Builder.addDataTypes(dataTypes: List<DataType>) = apply {
    dataTypes.forEach { dataType -> addDataType(dataType) }
}

fun Session.getValue(): Int {
    throw Exception("session ${this.activity} is not supported")
}

class UnsupportedException(message: String) : Exception(message)